use core::ffi::{c_char, c_int, va_list, VaList};

use crate::error::CIntZeroResult;

#[no_mangle]
unsafe extern "C" fn execl(path: *const c_char, arg: *const c_char, args: ...) -> CIntZeroResult {
    todo!()
}

#[no_mangle]
unsafe extern "C" fn execlp(file: *const c_char, arg: *const c_char, args: ...) -> CIntZeroResult {
    todo!()
}

#[no_mangle]
unsafe extern "C" fn execle(path: *const c_char, arg: *const c_char, args: ...) -> CIntZeroResult {
    todo!()
}

#[no_mangle]
unsafe extern "C" fn execv(path: *const c_char, argv: *const *mut c_char) -> c_int {
    todo!()
}

#[no_mangle]
unsafe extern "C" fn execp(file: *const c_char, argv: *const *mut c_char) -> c_int {
    todo!()
}

#[no_mangle]
unsafe extern "C" fn execvp(file: *const c_char, argv: *const *mut c_char) -> c_int {
    todo!()
}

#[no_mangle]
unsafe extern "C" fn execve(
    file: *const c_char,
    argv: *const *mut c_char,
    envp: *const *mut c_char,
) -> c_int {
    todo!()
}

#[no_mangle]
unsafe extern "C" fn execvpe(
    file: *const c_char,
    argv: *const *mut c_char,
    envp: *const *mut c_char,
) -> c_int {
    todo!()
}

#[no_mangle]
unsafe extern "C" fn fexecve(
    fd: c_int,
    argv: *const *mut c_char,
    envp: *const *mut c_char,
) -> c_int {
    todo!()
}
